| Home | Libraries | People | FAQ | More

## Function check_match

boost::type_erasure::check_match

## Synopsis

    // In header: <boost/type_erasure/check_match.hpp>

    template<typename Concept, typename Op, class... U>
      bool check_match(const binding< Concept > & binding, const Op & f,
                       U &&... args);
    template<typename Op, class... U> bool check_match(const Op & f, U &&... args);

## Description

If `relaxed` is in `Concept`, checks whether the arguments to `f` match the types specified by `binding`. If `relaxed` is not in `Concept`, returns true. If `binding` is not specified, it will be deduced from the arguments.